== Developry Lite ==

Contributors: developry
Theme Name: Developry Lite
Theme URI: https://krasenslavov.com/themes/developry-lite
Tags: blog, portfolio, food-and-drink, left-sidebar, right-sidebar, one-column, custom-background, custom-colors, custom-header, custom-logo, custom-menu, editor-style, featured-image-header, featured-images, flexible-header, footer-widgets, full-width-template, sticky-post, style-variations, theme-options, threaded-comments, translation-ready
Version: 1.1.2
Requires at least: 5.9
Requires PHP: 7.4
License: GNU General Public License v2.0 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html


Developry Lite gives you unparalleled versatility as a customizable Bootstrap starter theme, using 25+ distinct styles curated from Bootswatch. 

== Summary ==

Seamlessly switch between fluid or fixed containers, toggle page titles for enhanced readability, and effortlessly manage sidebar and cover image positions to refine your site's visual impact. 

With comprehensive background color controls for all major sections, achieving visual harmony is effortless. 

Dive into your website-building journey swiftly with our included starter and demo content, importable via [sample.xml](https://developry.com/developry-lite/demo/sample.xml). 

Unleash boundless creativity and elevate your online presence with our dynamic Bootstrap starter theme.

Developry Lite comes up with a full set of features. 

Not only the default theme support but also custom theme options available via the 'Appearance > Customize > Theme Options' panel. You have the ability to choose from over 25 custom theme styles, fluid/fixed containers, sidebar position management and cover image visibility. Page title, header style and search form display toggles.

A starter content theme support is utilized with added default posts/pages/menus/widgets/etc. which gives you perfect starting point for your freshly installed website. The theme can be easily customized using Bootstrap classes and also extended with custom CSS because of its minimal use of styles. 

It comes with a Developry Google Fonts plugin which will help you to change not only your overall site fonts but also allow you to change font styles within the Classic Editor for inidividual posts and pages.

You can learn more and check out the documentation [here](https://krasenslavov.com/themes/developry-lite).

== Installation ==

1. In your admin panel, go to 'Appearance > Themes' and click the 'Add New' button.
2. Type in 'Developry Lite' or just 'developry' in the search form and press the 'Enter' key.
3. Click on the 'Activate' button to use your new theme right away.
5. Navigate to 'Appearance > Customize' in your admin panel and go to 'Theme Options'.

== Frequently Asked Questions ==

=== Is Developry Lite Free? ===

Yes, Developry Lite is a free theme, and always will be.

=== Does Developry Lite have a Pro version? ===

Yes, it does. Developry Lite has a Pro available with more custom options.

You can learn more about Developry Pro [here](https://developrythemes.com).

=== Where can I find documentation? ===

Developry Lite has extensive documentation you can find [here](https://krasenslavov.com/themes/developry-lite).

=== Do you offer support? ===

Definitely, we offer support for the free theme in the [WordPress.org forums](https://wordpress.org/support/theme/developry-lite).

=== Where can I find the theme options? ===

All of our options can be found in the Customizer in 'Appearance > Customize > Theme Options'.

=== Does Developry Lite have any widget areas? ===

Developry Lite has up to 5 widget areas which you can add widgets to in 'Appearance > Widgets'.

== Suggested Plugins ==

There are 2 recommended plugin that work great with the theme.

=== Developry Google Fonts ===

WordPress plugin that will load up the 20 most popular Google Fonts in your editor and also allow you set global fonts to the body and heading elements.

URL: https://wordpress.org/plugins/developry-google-fonts
License: GPLv2
License URI: https://www.gnu.org/licenses/gpl-2.0.html

=== Contact Form 7 ===

Just another contact form plugin. Simple but flexible.

URL: https://wordpress.org/plugins/contact-form-7
License: GPLv2
License URI: https://www.gnu.org/licenses/gpl-2.0.html

== Support ==

This theme is provided as is for FREE of use and additional support isn't provided yet. I will add fixes and updates in the future but user requests and modifications won't be accepted.

However, if you are interested please visit our website https://developrythemes.com/ where you will find an extended Pro version of the theme as well as FSE theme with many more features that will include extended support and regular updates.

== Credits ==

I'd like to give credit where credit is due.

Below is that list with links to all the scripts, media and software that was used to create the Developry Lite WordPress theme.

=== WordPress ===

The best content management system.

URL: https://wordpress.org/
License: GPLv2
License URI: https://www.gnu.org/licenses/gpl-2.0.html

=== TGMPA ===

Plugin for installation and activation recommended plugins.

URL: http://tgmpluginactivation.com/
License: GPLv2
License : https://www.gnu.org/licenses/gpl-2.0.html

=== Bootstrap ===

HTML, JS & CSS framework and toolkit.

URL: https://getbootstrap.com/
License: MIT
License: https://opensource.org/es/MIT

=== Bootswatch ===

Custom Bootstrap themes.

URL: https://bootswatch.com/ 
License: MIT
License URI: https://opensource.org/licenses/MIT

== Copyright ==

Copyright (c) 2018-2024 Developry https://developry.com/

GNU GENERAL PUBLIC LICENSE Version 2, June 1991 - https://github.com/systemd/systemd/blob/master/LICENSE.GPL2

== Changelog ==

1.1.2

- Added new selective refresh for blogname, header image, and footer widget in the Customizer
- Added direct link to the Customizer > Theme Options under Appearance menu
- Added load Dashicons on the front end if they aren't already included
- Added new `canvas` under templates
- Updated and prefix additionally with `developry-lite` and `developry_lite`
- Updated and moved wordpress helper classes to load into the main CSS file
- Updated remove OpenIconic font, and replace all icons with Dashicons
- Updated the starter content to reflect the new social menu icons
- Updated add the breakpoint at large screens rename all `col-md` to `col-lg`
- Updated the comments list and form with CSS and removed all the jQuery Bootstrap classes
- Updated and restructured the theme option controls
- Updated and restructured the `/template-parts`
- Updated and restrucutred all the pages and refactored and optimized the overall code
- Fixed the footer user-defined copyright alignment and containers

1.1

- Added Page Title, Header Style, and Search Form Theme Options
- Added Background Colors controls for the major page section to handle dark/light themes
- Added more several more Bootswatch themes
- Added align-wide, responsive-embeds, and wp-block-styles to theme support
- Added /lang file with translation strings
- Added rating and help notices in WP admin
- Added demo import instructions in demo-import.txt and link to sample.xml for import
- Updated all default Theme Options values and added some defaults loaded in functions.php
- Updated and organized all Theme Options control classes inside /inc/controls
- Updated custom-logo and custom-header image sizes
- Updated Bootstrap and Bootswatch theme files to the latest version 5.3
- Updated and improved the starter content
- Restructured and improved the theme development code with numerous fixes

1.0

- Initial stable version submitted to the WordPress.org repository.
